/* 
:root {
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #fff;
    --min-text-color: #969494;
    --main-color: rgb(255, 0, 0);
    --bg-color-opacity: rgba(0, 0, 0, 0.4);
}

html, body {
    height: 100%;
    overflow: hidden; 
}


.verticleTitleBox{
   writing-mode: vertical-rl;
  text-wrap: nowrap;
}
.verticleTitle{
    font-family: 'Poppins', sans-serif; 
    font-size: 6rem; 
    color: var(--text-color); 
    white-space: nowrap;
    position:relative;
    top: 100%; 
    animation: verticalScroll 5s linear infinite;
}


.verticleName{
    color: transparent; 
    -webkit-text-stroke: 2px var(--text-color); 
} 


@keyframes verticalScroll {
   0%{
    transform: translateY(-100%)
    }
    100% {
        transform: translateY(100%);
    }
} */




/* 
:root {
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #fff;
    --min-text-color: #969494;
    --main-color: rgb(255, 0, 0);
    --bg-color-opacity: rgba(0, 0, 0, 0.4);
}

html, body {
    height: 100%;
    overflow: hidden;
}

.verticleTitleBox {
    writing-mode: vertical-rl;
    text-wrap: nowrap;
    overflow: hidden;
    position: absolute;
    top: 3rem;
    height: 100%;
}

.verticleTitle {
    font-family: 'Poppins', sans-serif;
    font-size: 6rem;
    color: var(--text-color);
    white-space: nowrap;
    animation: verticalScroll 5s linear infinite;
   
    display: inline-block;
}

.verticleName {
    color: transparent;
    -webkit-text-stroke: 2px var(--text-color);
}

@keyframes verticalScroll {
    0% {
        transform: translateY(120%);
    }
    100% {
        transform: translateY(-100%);
    }
} */




.verticleTitleBox {
    writing-mode: vertical-rl;
    display: flex;
    flex-direction: row;
    position: relative;
    top: 3rem;
    bottom: -3rem;
    height: 100vh; 
    overflow: hidden; 
}

.verticleTitle {
    font-family: 'Poppins', sans-serif;
    font-size: 6rem; 
    color: var(--text-color);
    white-space: nowrap;
    width: max-content;
    /* height: fit-content; */
    animation: verticalScroll 10s linear infinite;
}

.verticleName {
    color: transparent;
    -webkit-text-stroke: 2px var(--text-color);
}

@keyframes verticalScroll {
    0% {
        transform: translateY(0%);
    }
    100% {
        transform: translateY(-100%);
    }
}


.verticleTitleBox.reverse {
    position: absolute;
    right: 0;
    top: 3rem; 
    bottom: -3rem; 
}

@keyframes reverseScroll {
    0% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(0);
    }
}

.verticleTitleBox.reverse .verticleTitle {
    animation: reverseScroll 10s linear infinite;
}

